<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org" xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="/webjars/bootstrap/4.4.1-1/css/bootstrap.css"/>
    <script src="http://mozilla.github.io/pdf.js/build/pdf.js"></script>
    <script src="/pdf-viewer.js"></script>

    <title>Note entry</title>
</head>
<body th:data1="${pdfContent}" onload="displayPDF(this.getAttribute('data1'), document.getElementById('pdfContent'));">
<div layout:fragment="content">
    <div class="container">
        <div class="row">
            <div class="col-sm min-vh-100">
                <form method="post" action="#" enctype="multipart/form-data" th:object="${entryComment}"
                      th:action="@{/databases/{database}/entries/{entry}/comments(database=${database.id}, entry=${entryComment.entryId})}">
                    <input type="hidden" th:name="${_csrf.parameterName}" th:value="${_csrf.token}"/>
                    <input type="hidden" th:field="*{id}">
                    <div class="form-group row">
                        <div class="col-4">
                            <label for="notes" class="col-form-label">Notes</label>
                        </div>
                        <div class="col-8">
                            <div class="input-group">
                                <textarea id="notes" class="form-control" th:field="*{comment}"></textarea>
                                <div class="input-group-append">
                                    <div class="input-group-text">
                                        <i class="fa fa-align-justify"></i>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <button>submit</button>
                </form>
            </div>
            <div class="col-sm min-vh-100" id="pdfContent"></div>
        </div>
    </div>

</div>
</body>
</html>